be.fgov.ehealth.hubservices.core.v2

## Class PutTransactionResponse

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.PutTransactionResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:03:09+01:00",
                 comments="JAXB RI v2.2.11")
      public class PutTransactionResponse
      extends Object
      implements Serializable

  Java class for PutTransactionResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PutTransactionResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="response" type="{http://www.ehealth.fgov.be/hubservices/core/v2}ResponseType"/>
               <element name="acknowledge" type="{http://www.ehealth.fgov.be/hubservices/core/v2}AcknowledgeType"/>
               <element name="transaction" type="{http://www.ehealth.fgov.be/hubservices/core/v2}TransactionIdType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PutTransactionResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AcknowledgeType` | `getAcknowledge()` Gets the value of the acknowledge property.
    `ResponseType` | `getResponse()` Gets the value of the response property.
    `TransactionIdType` | `getTransaction()` Gets the value of the transaction property.
    `void` | `setAcknowledge(AcknowledgeType value)` Sets the value of the acknowledge property.
    `void` | `setResponse(ResponseType value)` Sets the value of the response property.
    `void` | `setTransaction(TransactionIdType value)` Sets the value of the transaction property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PutTransactionResponse

          public PutTransactionResponse()

  - ### Method Detail

    - #### getResponse

          public ResponseType getResponse()

      Gets the value of the response property.
      Returns:
        possible object is `ResponseType`

    - #### setResponse

          public void setResponse(ResponseType value)

      Sets the value of the response property.
      Parameters:
        `value` - allowed object is `ResponseType`

    - #### getAcknowledge

          public AcknowledgeType getAcknowledge()

      Gets the value of the acknowledge property.
      Returns:
        possible object is `AcknowledgeType`

    - #### setAcknowledge

          public void setAcknowledge(AcknowledgeType value)

      Sets the value of the acknowledge property.
      Parameters:
        `value` - allowed object is `AcknowledgeType`

    - #### getTransaction

          public TransactionIdType getTransaction()

      Gets the value of the transaction property.
      Returns:
        possible object is `TransactionIdType`

    - #### setTransaction

          public void setTransaction(TransactionIdType value)

      Sets the value of the transaction property.
      Parameters:
        `value` - allowed object is `TransactionIdType`

Connector Packaging PERSNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.